<div>
    <br>
    <h4>Pacientes</h4>
    <br>
    
    <!-- Card contenedora -->
    <div class="card border-info mb-3" style="width:auto;">
        <br>
        <!-- barra superios busquedas -->
        <div class="row">
            
            <!-- buscar por nombre   -->
            <div class="col" >
                <div class="row">
                    <div class="col-1" style="padding-left: 2%; padding-top: 0.5%;">
                        <label for="Nombre">Nombre: </label>
                    </div>
                    <div class="col-4">
                        <input  id="Nombre" #nombre type="text" class="form-control"  >
                    </div>
                    <div class="col-1">
                        <button type="submit" class="btn btn-dark" (click)="buscar(nombre.value)">Buscar</button>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="row table-responsive">
            <div class="col">
                <table class="table table-striped" style="margin: 1%; width: 98%;">
                    <!-- heder tabla  -->
                    <thead class="table-info">
                      <tr>
                        <th class="col-2 text-center">Rut</th>
                        <th class="col-3 text-center">Nombre Apellido</th>
                        <th class="col-3 text-center">Fecha nacimiento</th>
                        <th class="col-4 text-center">Opciones</th>
                      </tr>
                    </thead>
                    <!-- fin heder tabla -->
                    <!-- Filas de la tabla -->
                    <tbody>
                      <tr *ngFor="let paciente of pacientes">
                        <!-- fecha -->
                        <th class="text-center">{{paciente.usuario.rut}}</th>
                        <!-- rut -->
                        <td class="text-center">{{paciente.usuario.nombre}} {{paciente.usuario.apellido}}</td>
                        <!-- profesional -->
                        <td class="text-center">{{paciente.fecha_de_nacimiento | date: 'dd/MM/yyyy'}}</td>
                        <!-- opciones -->
                        <td >
                            <div class="row text-center" >
                                <div class="col text-center" >
                                    <button type="button" class="btn btn-outline-primary" *ngIf="paciente.ficha_clinica" (click)="irAVerFicha(paciente.id)">
                                        <fa-icon [icon]='["fas","search"]'></fa-icon>
                                        Ver Ficha
                                    </button> 
                                </div>
                                <div class="col text-center">
                                </div>
                                <button type="button" class="btn btn-outline-success" *ngIf="!paciente.ficha_clinica" (click)="irACrearFicha(paciente.id)">
                                    <fa-icon [icon]='["fas","plus-circle"]'></fa-icon>
                                    Crear Ficha
                                </button>
                                <div class="col text-center">
                                    <button type="button" class="btn btn-outline-warning" *ngIf="paciente.ficha_clinica" (click)="irAModificar(paciente.id)">
                                        <fa-icon [icon]='["fas","file-alt"]'></fa-icon>
                                        Modificar Ficha
                                    </button> 
                                </div>
                            </div>   
                        </td>
                        <!-- fin opciones -->
                      </tr>
                    </tbody>
                  </table>
            </div>
        </div>
      </div>
</div>